#include <windows.h>
#include <windowsx.h>
#include <commctrl.h>
#include <commdlg.h>

#include <time.h>
#include <stdio.h>
#include <sys/types.h>
#include <sys/timeb.h>
#include <stdlib.h>

#include <string>
#include <vector>
using namespace std;

#pragma comment( lib, "../bin/pdf2image.lib" )

extern "C" __declspec(dllexport)
void __stdcall PDFToImageSetCode(const char *lpRegcode);

extern "C" __declspec(dllexport)
int __stdcall PDFToImageConverterCommand(char *lpCmdOptions);


void main(int argc, char *argv[])
{
	if(argc != 3)
		return;
	PDFToImageSetCode("XXXXXXXXXXXXXXXXXXXXXXX");

	char szCmd[4096] = {0};
	//sprintf(szCmd, "-r 300 -compress 4 -gray -threshold 180 -multipage \"%s\" \"%s\"", argv[1], argv[2]);
	sprintf(szCmd, "-r 300 -multipage \"%s\" \"%s\"", argv[1], argv[2]);

	int time1 = GetTickCount();
	int nResult = PDFToImageConverterCommand(szCmd);
	int time2 = GetTickCount();
	printf("[Message] Used time = %d (%.2fs)\n", time2-time1, (time2-time1)/1000.0);
}

